Playbook Source Document Uploads

Gets all source document uploads for the specified playbook.

get

Retrieves a paginated list of all source document uploads for the specified playbook, with optional search and sorting.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
playbookIdentifierstringRequired
Query parameters
pageNumberinteger · int32Optional

The page number for paginated results.

pageSizeinteger · int32Optional

The number of items per page.

searchTextstringOptional

Optional search text to filter results.

sortinginteger · enumOptional

The sorting option for the results.

Possible values:
descbooleanOptional

Whether to sort in descending order.

Default: true
Responses
chevron-right
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
get
/playbooks/{playbookIdentifier}/playbook-source-document-uploads

Uploads a new source document to the specified playbook.

post

Creates and uploads a new source document for the specified playbook.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
playbookIdentifierstringRequired
Body
namestring · nullableRequired
isCompletedbooleanRequired
Responses
post
/playbooks/{playbookIdentifier}/playbook-source-document-uploads

Gets a specific source document upload by its object identifier.

get

Retrieves the details of a source document upload for the specified playbook using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired

The unique identifier of the source document upload.

playbookIdentifierstringRequired
Responses
chevron-right
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
get
/playbooks/{playbookIdentifier}/playbook-source-document-uploads/{objectIdentifier}

Updates an existing source document upload for the specified playbook.

patch

Updates the details of an existing source document upload for the specified playbook using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired

The unique identifier of the source document upload to update.

playbookIdentifierstringRequired
Body
namestring · nullableRequired
isCompletedbooleanRequired
Responses
chevron-right
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
patch
/playbooks/{playbookIdentifier}/playbook-source-document-uploads/{objectIdentifier}

Last updated